| OGRE 1.10.8 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::GLSLProgramManager Class Reference

`#include <OgreGLSLProgramManager.h>`

Inheritance diagram for Ogre::GLSLProgramManager:
[legend]

## Public Member Functions
| GLSLProgramManager (GL3PlusRenderSystem *renderSystem)
void | extractUniformsFromProgram (GLuint programObject, const GpuConstantDefinitionMap *(&constantDefs)[6], GLUniformReferenceList &uniformList, GLAtomicCounterReferenceList &counterList, GLUniformBufferList &uniformBufferList, SharedParamsBufferMap &sharedParamsBufferMap, GLCounterBufferList &counterBufferList)
| Populate a list of uniforms based on an OpenGL program object. More...
GL3PlusStateCacheManager * | getStateCacheManager ()

## Constructor & Destructor Documentation

## ◆ GLSLProgramManager()

Ogre::GLSLProgramManager::GLSLProgramManager | ( | GL3PlusRenderSystem * | renderSystem | ) |

## Member Function Documentation

## ◆ extractUniformsFromProgram()

void Ogre::GLSLProgramManager::extractUniformsFromProgram | ( | GLuint | programObject,
|  | const GpuConstantDefinitionMap *(&) | constantDefs[6],
|  | GLUniformReferenceList & | uniformList,
|  | GLAtomicCounterReferenceList & | counterList,
|  | GLUniformBufferList & | uniformBufferList,
|  | SharedParamsBufferMap & | sharedParamsBufferMap,
|  | GLCounterBufferList & | counterBufferList
| ) |  |

Populate a list of uniforms based on an OpenGL program object.

## ◆ getStateCacheManager()

GL3PlusStateCacheManager* Ogre::GLSLProgramManager::getStateCacheManager | ( |  | ) |

The documentation for this class was generated from the following file:

- OgreGLSLProgramManager.h